## GpImageMenuItem GpImageMenuItem — a widget for a menu item with an icon |

## Functions

GtkWidget * | gp_image_menu_item_new ()
GtkWidget * | gp_image_menu_item_new_with_label ()
GtkWidget * | gp_image_menu_item_new_with_mnemonic ()
void | gp_image_menu_item_set_image ()

## Types and Values

#define | GP_TYPE_IMAGE_MENU_ITEM
struct | GpImageMenuItemClass
| GpImageMenuItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkMenuItem
                            ╰── GpImageMenuItem

## Implemented Interfaces

GpImageMenuItem implements AtkImplementorIface, GtkBuildable, GtkActivatable and GtkActionable.

## Includes

    #include <libgnome-panel/gp-image-menu-item.h>

## Description

A GpImageMenuItem is a menu item which has an icon next to the text label.

## Functions

### gp_image_menu_item_new ()

    GtkWidget *
    gp_image_menu_item_new (void);

Creates a new GpImageMenuItem.

#### Returns

a newly created GpImageMenuItem.

[transfer full]

### gp_image_menu_item_new_with_label ()

    GtkWidget *
    gp_image_menu_item_new_with_label (const gchar *label);

Creates a new GpImageMenuItem containing a label.

#### Parameters

label | the text of the menu item |

#### Returns

a newly created GpImageMenuItem.

[transfer full]

### gp_image_menu_item_new_with_mnemonic ()

    GtkWidget *
    gp_image_menu_item_new_with_mnemonic (const gchar *label);

Creates a new GpImageMenuItem containing a label. The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in `label` indicate the mnemonic for the menu item.

#### Parameters

label | the text of the menu item |

#### Returns

a newly created GpImageMenuItem.

[transfer full]

### gp_image_menu_item_set_image ()

    void
    gp_image_menu_item_set_image (GpImageMenuItem *self,
                                  GtkWidget *image);

Sets the image of `item` to the given widget.

#### Parameters

self | a GpImageMenuItem |
image | a widget to set as the image for the menu item. | [allow-none]

## Types and Values

### GP_TYPE_IMAGE_MENU_ITEM

    #define GP_TYPE_IMAGE_MENU_ITEM (gp_image_menu_item_get_type ())

The type for GpImageMenuItem.

### struct GpImageMenuItemClass

    struct GpImageMenuItemClass {
      GtkMenuItemClass parent_class;
    };

The class structure for the GpImageMenuItem class.

#### Members

### GpImageMenuItem

    typedef struct _GpImageMenuItem GpImageMenuItem;

GpImageMenuItem is an opaque data structure and can only be accessed using the following functions.